package siprp.higiene.relatorio.print;

import java.util.Vector;

import org.jdom.Element;

public class NormalizacaoToPrint
	implements PrintableInterface
{
	protected Vector<String> normasPortuguesas;
	protected Vector<String> normasInternacionais;
	
	public NormalizacaoToPrint( Vector<String> normasPortuguesas, Vector<String> normasInternacionais )
	{
		super();
		this.normasPortuguesas = normasPortuguesas;
		this.normasInternacionais = normasInternacionais;
	}
	
	@Override
	public Element toJdomElement() throws Exception
	{
		Element normalizacaoElement = new Element( "normalizacao-aplicavel" );
		Element portuguesaElement = new Element( "normalizacao-portuguesa" );
		addNormas( portuguesaElement, normasPortuguesas );
		normalizacaoElement.addContent( portuguesaElement );
		Element internacionalElement = new Element( "normalizacao-internacional" );
		addNormas( internacionalElement, normasInternacionais );
		normalizacaoElement.addContent( internacionalElement );
		return normalizacaoElement;
	}
	
	protected void addNormas( Element element, Vector<String> normas )
	{
		for( String norma : normas )
		{
			Element normaElement = new Element( "norma" );
			normaElement.setText( norma );
			element.addContent( normaElement );
		}
	}

}
